CUDA Runtime API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.20. textureReference Struct Reference

## [Data types used by CUDA Runtime]

CUDA texture reference

### Public Variables

enumcudaTextureAddressMode addressMode[3]
struct cudaChannelFormatDesc channelDesc
enumcudaTextureFilterMode filterMode
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
enumcudaTextureFilterMode mipmapFilterMode
float mipmapLevelBias
int normalized
int sRGB

### Variables

enumcudaTextureAddressMode textureReference::addressMode[3] [inherited]

  Texture address mode for up to 3 dimensions

struct cudaChannelFormatDesc textureReference::channelDesc [inherited]

  Channel descriptor for the texture reference

enumcudaTextureFilterMode textureReference::filterMode [inherited]

  Texture filter mode

unsigned int textureReference::maxAnisotropy [inherited]

  Limit to the anisotropy ratio

float textureReference::maxMipmapLevelClamp [inherited]

  Upper end of the mipmap level range to clamp access to

float textureReference::minMipmapLevelClamp [inherited]

  Lower end of the mipmap level range to clamp access to

enumcudaTextureFilterMode textureReference::mipmapFilterMode [inherited]

  Mipmap filter mode

float textureReference::mipmapLevelBias [inherited]

  Offset applied to the supplied mipmap level

int textureReference::normalized [inherited]

  Indicates whether texture reads are normalized or not

int textureReference::sRGB [inherited]

  Perform sRGB->linear conversion during texture read